Name:		hocr-tools
Version:	1.3.0
Release:	1
Summary:	Tools for working with hOCR data
License:	ASL 2.0
URL:		https://github.com/tmbdev/%{name}
Source0:	https://github.com/tmbdev/hocr-tools/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-reportlab
BuildRequires:	python3-lxml
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libjpeg-turbo-devel
Requires:	python3-reportlab
Requires:	python3-pillow

%description
A collection of Python tools for working with hOCR data.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/hocr-check
%{_bindir}/hocr-combine
%{_bindir}/hocr-cut
%{_bindir}/hocr-eval
%{_bindir}/hocr-eval-geom
%{_bindir}/hocr-eval-lines
%{_bindir}/hocr-extract-g1000
%{_bindir}/hocr-extract-images
%{_bindir}/hocr-lines
%{_bindir}/hocr-merge-dc
%{_bindir}/hocr-pdf
%{_bindir}/hocr-split
%{_bindir}/hocr-wordfreq

%changelog
* Fri Mar 22 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-1
- Update to 1.3.0

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.0-2
- Cleanup version tag

* Mon Oct 02 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.0-1
- Initial specfile
